Index: trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 9869)
@@ -27,4 +27,5 @@
 #define QUADTREE_MATERIAL_COUNT       4
 
+ObjectListDefinition(Quadtree);
 /**
  *  standard constructor
@@ -32,5 +33,5 @@
 Quadtree::Quadtree (const modelInfo* pModelInfo, const int treeDepth)
 {
-  this->setClassID(CL_QUADTREE, "Quadtree");
+  this->registerObject(this, Quadtree::_objectList);
   this->pModelInfo = pModelInfo;
   this->treeDepth = treeDepth;
Index: trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 9869)
@@ -21,5 +21,5 @@
 //! A class for quadtree separation of the world
 class Quadtree : public BaseObject {
-
+  ObjectListDeclaration(Quadtree);
 
   public:
Index: trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 9869)
@@ -27,5 +27,5 @@
 
 
-
+ObjectListDefinition(QuadtreeNode);
 
 /**
@@ -102,5 +102,5 @@
 void QuadtreeNode::init()
 {
-  this->setClassID(CL_QUADTREE_NODE, "QuadtreeNode");
+  this->registerObject(this, QuadtreeNode::_objectList);
 
   /* init the rest of the variables for both init types */
Index: trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 9869)
@@ -26,4 +26,5 @@
 //! A class for a Quadtree Node representation
 class QuadtreeNode : public BaseObject {
+  ObjectListDeclaration(QuadtreeNode);
 
   public:
Index: trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 9869)
@@ -24,13 +24,13 @@
 
 
-
+ObjectListDefinition(SpatialSeparation);
 
 /**
- *  standard constructor
+ * @brief standard constructor
  * @param model the model that is to be separated
  * @param overlapSize each box will overlap for a given size
-
-   The boxes are overlaping because this makes collision detection a lot simpler
-
+ *
+ * The boxes are overlaping because this makes collision detection a lot simpler
+ *
  */
 SpatialSeparation::SpatialSeparation (Model* model, float overlapSize)
@@ -39,5 +39,5 @@
   PRINT(3)("+-| (Event) Spatial Separation process kicked on\n");
 
-  this->setClassID(CL_SPATIAL_SEPARATION, "SpatialSeparation");
+  this->registerObject(this, SpatialSeparation::_objectList);
   /* debug vice */
   this->createQuadtree(model);
@@ -46,5 +46,5 @@
 
 /**
- *  standard constructor
+ * @brief standard constructor
  * @param model the model that is to be separated
  * @param overlapSize each box will overlap for a given size
@@ -54,5 +54,5 @@
 SpatialSeparation::SpatialSeparation (Model* model, Model* playerModel)
 {
-  this->setClassID(CL_SPATIAL_SEPARATION, "SpatialSeparation");
+  this->registerObject(this, SpatialSeparation::_objectList);
 
 }
@@ -60,5 +60,5 @@
 
 /**
- *  standard deconstructor
+ * @brief standard deconstructor
  */
 SpatialSeparation::~SpatialSeparation ()
@@ -70,5 +70,5 @@
 
 /**
- *  creates a quadtree
+ * @brief creates a quadtree
  * @param model the model to do a quadtree on
  * @param minLength the minimal length of a quadtree node
@@ -83,5 +83,5 @@
 
 /**
- *  brief creates a quadtree
+ * @brief creates a quadtree
  * @param model the model to do a quadtree on
  * @param minLength the minimal length of a quadtree node
@@ -95,5 +95,5 @@
 
 /**
- *  creates a quadtree
+ * @brief creates a quadtree
  * @param model the model to do a quadtree on
  * @param minLength the minimal length of a quadtree node
@@ -109,5 +109,5 @@
 
 /**
- *  draws all the quadtrees
+ * @brief draws all the quadtrees
  */
 void SpatialSeparation::drawQuadtree()
@@ -118,14 +118,2 @@
   this->quadtree->drawTree();
 }
-
-
-
-
-
-
-
-
-
-
-
-
Index: trunk/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 9406)
+++ trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 9869)
@@ -19,4 +19,5 @@
 //! A class for spatial separation of vertices based arrays
 class SpatialSeparation : public BaseObject {
+  ObjectListDeclaration(SpatialSeparation);
 
   public:
